{% extends 'base.html' %}
{% load static %}

{% block sidebar %}
{% endblock sidebar %}

{% block content-title %}
<div class="row">
  <nav title="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="{% url 'jobs:index' %}">Jobs</a></li>
      <li class="breadcrumb-item" aria-current="page"><a href="{% url 'jobs:results' %}">Results</a></li>
    </ol>
  </nav>
</div>
{% endblock content-title %}

{% block content %}
<div class="row">
  <div class="col-lg-12">
    <table id="results" class="table table-light table-striped table-borderless table-hover">
      <thead>
        <tr>
          <th scope="col">job_execution_id</th>
          <th scope="col">job_id</th>
          <th scope="col">cmd</th>
          <th scope="col">stdout</th>
        </tr>
      </thead>
      <tbody>
        {% for result in results %}
        <tr>
          <th scope="row">
            <div class="clickable" data-tableid="results">
              <span>
                <a
                  href="{% url 'jobs:result' job_execution_id=result.job_execution_id %}">{{result.job_execution_id}}</a>
              </span>
            </div>
          </th>
          <th scope="row">
            <div class="clickable" data-tableid="results">
              <span>
                <a href="{% url 'jobs:results_job' job=result.job_id %}">{{result.job_id}}</a>
              </span>
            </div>
          </th>
          <th scope="row">{{result.cmd}}</th>
          <th scope="row">{{result.stdout}}</th>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</div>
{% endblock content %}

{% block javascript %}
<script src="{% static 'jobs/js/jobs.js' %}"></script>
<script src="{% static 'jobs/js/results.js' %}"></script>
{% endblock javascript %}